> For the complete documentation index, see [llms.txt](https://docs.xaman.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.backendstore.md).

# Xumm.backendstore { … }

**App Storage ('backendstore') allows you to store a JSON object at the XUMM API platform, containing max 60KB of data.**

{% hint style="info" %}
Your XUMM APP storage is stored at the XUMM API backend, meaning it persists until you overwrite or delete it.
{% endhint %}

{% hint style="warning" %}
This data is private, and accessible only with your own API credentials. This private JSON data can be used to store credentials / config / bootstrap info / ... for your headless application (eg. POS device).
{% endhint %}

```typescript
const storageSet = await Sdk.storage.set({
  name: "Wietse",
  age: 32,
  male: true,
});
console.log(storageSet);
// true

const storageGet = await Sdk.storage.get();
console.log(storageGet);
// { name: 'Wietse', age: 32, male: true }

const storageDelete = await Sdk.storage.delete();
console.log(storageDelete);
// true

const storageGetAfterDelete = await Sdk.storage.get();
console.log(storageGetAfterDelete);
// null
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.backendstore.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
